| mwcontam

## Function

Find weights common to multiple molecular weights files

## Description

mwcontam finds molecular weights that are common between a set of mass spectrometry result files at a specified ppm tolerance. Such molecular weights are usually a form of contamination resulting from autolysis of a protease, degradation of the matrix or presence of keratin from the sample preparer. The input is a comma-separated list of files each containing a list of experimental molecular weights. The output is a file with a list of the molecular weights common to all files.

## Usage

Here is a sample session with mwcontam

    % mwcontam
    Find weights common to multiple molecular weights files
    Molecular weights file list: ../data/mw2.dat,mw3.dat
    Ppm tolerance [50.0]:
    Molecular weights output file [outfile.mwcontam]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-files]             filelist   Molecular weights file list
       -tolerance          float      [50.0] Ppm tolerance (Any numeric value)
      [-outfile]           outfile    [*.mwcontam] Molecular weights output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-files] (Parameter 1) | Molecular weights file list | Comma-separated file list | comma-separated file list
-tolerance | Ppm tolerance | Any numeric value | 50.0
[-outfile] (Parameter 2) | Molecular weights output file | Output file | <*>.mwcontam
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

### Input files for usage example

### File: mw1.dat

    20.0
    33.0
    67.0
    128.0
    415.0
    999.0

### File: mw2.dat

    13.0
    41.0
    67.0
    415.0
    846.0
    781.0

### File: mw3.dat

    3.0
    18.0
    67.0
    124.0
    197.0
    236.0
    415.0
    587.0
    632.0

The input is a comma-separated list of files containing simple list of experimental molecular weights.

There should be one weight per line.

Comments in the data file start with a '#' character in the first column.

Blank lines are ignored.

## Output file format

The output is a list of the molecular weights common to all files.

### Output files for usage example

### File: outfile.mwcontam

    67.000
    415.000

## Data files

mwcontam uses no data files.

The output of mwcontam, with minimal editing, can be added to the data file for the mwfilter program ('Emwfilter.dat'). For example you might like to fetch 'Emwfilter.dat' using embossdata (as described in the mwfilter documentation) and edit it to include the lines:

    # data produced from the program mwcontam
    mwcontam	67.000
    mwcontam	415.000

## Notes

The output of mwcontam, with minimal editing, can be added to the data file for the mwfilter program (`Emwfilter.dat`), which will then remove these weights from its input file of molecular weights. For example you might like to fetch `Emwfilter.dat` using embossdata (as described in the mwfilter documentation) and edit it to include the lines: # data produced from the program mwcontam mwcontam 67.000 mwcontam 415.000

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranambig | Back-translate a protein sequence to ambiguous nucleotide sequence
backtranseq | Back-translate a protein sequence to a nucleotide sequence
charge | Draw a protein charge plot
checktrans | Reports STOP codons and ORF statistics of a protein
compseq | Calculate the composition of unique words in sequences
emowse | Search protein sequences by digest fragment molecular weight
freak | Generate residue/base frequency table or plot
iep | Calculate the isoelectric point of proteins
mwfilter | Filter noisy data from molecular weights file
octanol | Draw a White-Wimley protein hydropathy plot
pepinfo | Plot amino acid properties of a protein sequence in parallel
pepstats | Calculates statistics of protein properties
pepwindow | Draw a Kyte-Doolittle hydropathy plot for a protein sequence
pepwindowall | Draw Kyte-Doolittle hydropathy plot for a protein alignment
wordcount | Count and extract unique words in DNA sequence(s)

## Author(s)

Alan Bleasby (ajb © ebi.ac.uk)
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

Written (July 2002) - Alan Bleasby.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None